Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232812 - f7-test2 does not put boot files in migrated /boot partition
Summary: f7-test2 does not put boot files in migrated /boot partition
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-03-18 10:15 UTC by Allen Kistler
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-20 19:55:10 UTC


Attachments (Terms of Use)

Description Allen Kistler 2007-03-18 10:15:58 UTC
Description of problem:
During installation, the installer migrates existing /boot from ext2 to ext3. 
f7 / is a separate partition from existing / and is formatted new.  /boot is
migrated successfully to ext3.  /etc/fstab entries are set up successfully
(i.e., separate entry for /boot).  However, system.map, config, grub directory,
initrd, and vmlinuz are installed into /boot directory on / partition, not into
/boot partition.

Version-Release number of selected component (if applicable):
f7-test2-dvd-i386

How reproducible:
I only tried once, but I expect I could do it always.

Steps to Reproduce:
1. Start with existing ext2 older installation
2. In installer, migrate /boot partition from ext2 to ext3
3. In installer, format fresh / partition for f7-test2

Actual results:
f7 /boot files are in /boot directory on / partition

Expected results:
f7 /boot files should be in /boot partition

Additional info:
hda1 /boot (common to fc5 and f7)
hda2 /     (fc5)
hda3 swap  (common to fc5 and f7)
hda4 /     (f7)

Conjecture: The migration of the /boot partition from ext2 to ext3 appears to
result in the /boot partition not being mounted during installation.

Comment 1 David Cantrell 2007-04-20 19:55:10 UTC
Tested this in rawhide today and it appears to be working correctly now.


Note You need to log in before you can comment on or make changes to this bug.